<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/whiteSmoke"
    android:orientation="vertical">

    <include
        android:id="@+id/titleBarLayout"
        layout="@layout/include_sub_base_title" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:scrollbars="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="@dimen/dp_10">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:orientation="vertical">

                <RelativeLayout
                    android:id="@+id/shopLayout"
                    style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/textViewStyle"
                        android:text="商\u3000\u3000户" />

                    <TextView
                        android:id="@+id/shopView"
                        style="@style/selectTextViewStyle"
                        android:layout_toStartOf="@id/v"
                        android:hint="请选择" />

                    <ImageView
                        android:id="@+id/v"
                        style="@style/rightImageStyle"
                        android:background="@drawable/ic_right" />
                </RelativeLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="@dimen/dp_10"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <RelativeLayout style="@style/itemLayoutStyle">

                        <TextView
                            style="@style/textViewStyle"
                            android:text="经\u3000\u3000度" />

                        <TextView
                            android:id="@+id/longitudeView"
                            style="@style/selectTextViewStyle" />
                    </RelativeLayout>

                    <include layout="@layout/include_line_view" />

                    <RelativeLayout style="@style/itemLayoutStyle">

                        <TextView
                            style="@style/textViewStyle"
                            android:text="纬\u3000\u3000度" />

                        <TextView
                            android:id="@+id/latitudeView"
                            style="@style/selectTextViewStyle" />
                    </RelativeLayout>

                    <include layout="@layout/include_line_view" />

                    <RelativeLayout style="@style/itemLayoutStyle">

                        <TextView
                            style="@style/textViewStyle"
                            android:text="社\u3000\u3000区" />

                        <com.pengxh.androidx.lite.widget.DeleteEditText
                            android:id="@+id/communityNameView"
                            style="@style/inputEditTextStyle"
                            android:layout_marginStart="100dp"
                            android:background="@null"
                            android:hint="社区通过地图选点获取" />
                    </RelativeLayout>

                    <include layout="@layout/include_line_view" />

                    <RelativeLayout style="@style/itemLayoutStyle">

                        <TextView
                            style="@style/textViewStyle"
                            android:text="案卷地点" />

                        <com.pengxh.androidx.lite.widget.DeleteEditText
                            android:id="@+id/caseLocationView"
                            style="@style/inputEditTextStyle"
                            android:layout_marginStart="100dp"
                            android:background="@null"
                            android:hint="请输入案卷发生的地点"
                            android:maxLength="50" />
                    </RelativeLayout>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <RelativeLayout style="@style/itemLayoutStyle">

                        <TextView
                            style="@style/textViewStyle"
                            android:text="店\u3000\u3000主" />

                        <EditText
                            android:id="@+id/shopKeeperView"
                            style="@style/inputEditTextStyle"
                            android:layout_marginStart="100dp"
                            android:background="@null"
                            android:hint="请输入店主姓名" />
                    </RelativeLayout>

                    <include layout="@layout/include_line_view" />

                    <RelativeLayout style="@style/itemLayoutStyle">

                        <TextView
                            style="@style/textViewStyle"
                            android:text="电话号码" />

                        <EditText
                            android:id="@+id/phoneNumberView"
                            style="@style/inputEditTextStyle"
                            android:layout_marginStart="100dp"
                            android:background="@null"
                            android:hint="请输入店主手机号码"
                            android:inputType="phone"
                            android:maxLength="11" />
                    </RelativeLayout>

                    <include layout="@layout/include_line_view" />

                    <TextView
                        style="@style/textViewStyle"
                        android:layout_height="@dimen/titleViewHeight"
                        android:text="案卷情况" />

                    <com.pengxh.androidx.lite.widget.DeleteEditText
                        android:id="@+id/caseDetailEditView"
                        style="@style/inputEditTextStyle"
                        android:layout_marginHorizontal="@dimen/dp_10"
                        android:layout_marginBottom="@dimen/dp_10"
                        android:background="@drawable/bg_stroke_layout_back_radius_3"
                        android:gravity="top"
                        android:hint="请输入少于50个字的案卷情况描述"
                        android:inputType="textMultiLine"
                        android:maxLength="50"
                        android:padding="@dimen/dp_3"
                        android:paddingVertical="@dimen/dp_5"
                        android:textColor="@color/subTextColor"
                        android:textColorHint="@color/hintTextColor" />

                    <include layout="@layout/include_line_view" />

                    <TextView
                        style="@style/textViewStyle"
                        android:layout_height="@dimen/itemLayoutHeight"
                        android:text="案卷图片" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/addImageRecyclerView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="@dimen/dp_7"
                        android:layout_marginBottom="@dimen/dp_7"
                        android:nestedScrollingEnabled="false"
                        app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                        app:spanCount="3" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

    <Button
        android:id="@+id/submitButton"
        style="@style/MainButtonStyle"
        android:layout_marginHorizontal="@dimen/dp_10"
        android:layout_marginVertical="@dimen/dp_20"
        android:text="提交" />
</LinearLayout>